Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Problem with BEDIT command via Lisp

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
igal1971
355 Views, 3 Replies

Problem with BEDIT command via Lisp

I have a problem when I wont to ivoke alias from bedit command via lisp

(defun c:be()
(command "_BEDIT")
(princ)
)

function invoked but without dialog box.

How can I solve this problem?

3 REPLIES 3
Message 2 of 4
hmsilva
in reply to: igal1971

Try

(defun c:be ()
  (initcommandversion)
  (command "_.bedit")
  (princ)
)
;;or
(vl-load-com)
(defun c:be ()
  (vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) "bedit ")
  (princ)
)

 

Henrique

EESignature

Message 3 of 4
igal1971
in reply to: hmsilva

Exelent solution Henrique!
Thank you very much!
Message 4 of 4
hmsilva
in reply to: igal1971

You're welcome.
Glad I could help

Henrique

EESignature

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost